Deprecated
Get all (or some of) the roles of which a user is a member (either directly or indirectly). The POST /v1/role/query is a preferable alternative, which can better handle complex filters.
accessBearerAuth In the value field below, fill in the access token. It has a 10 minutes validity period. A valid token can be obtained via the /accesstoken endpoint (call), AFTER authorization with refreshBearerAuth and the refresh token.
In: header
Only return those roles which have access to a specific view
0 <= valueOnly return roles with one of the specified ids
Only return roles with a name in this array
Only return roles which are managed (directly or indirectly) by one of the specified ancestor role ids. Prefer the companyId query parameter
Only return roles which are directly or indirectly manages by one of the specified company ids
For each of the returned roles, set the roleManagement property to indicate whether the user has direct or indirect roleManagement rights
For each of the returned roles, set the userManagement property to indicate whether the user has direct or indirect userManagement rights
For each of the returned roles, set the viewManagement property to indicate whether the user has direct or indirect viewManagement rights
For each of the returned roles, set the deviceManagement property to indicate whether the user has direct or indirect deviceManagement rights
For each of the returned roles, set the reportManagement property to indicate whether the user has direct or indirect reportManagement rights
For each of the returned roles, set the alarmManagement property to indicate whether the user has direct or indirect alarmManagement rights
application/json
application/json
application/json
curl -X GET "https://example.com/v1/role"{ "role": [ { "id": 0, "name": "string", "selfRights": { "roleManagement": true, "userManagement": true, "viewManagement": true, "deviceManagement": true, "reportManagement": true, "alarmManagement": true }, "userRights": { "roleManagement": true, "userManagement": true, "viewManagement": true, "deviceManagement": true, "reportManagement": true, "alarmManagement": true } } ]}Verify TOTP code POST
Providing an access token or a partial auth token and a TOTP, acquire a sudo token or a sudo, refresh and access token respectively
Create a new role and the manages relation which connects this role to its parent POST
A user can only execute this action if he is a member of an autorizing role which has (direct or indirect) roleManagement rights for the parent role of the newly created child role.